Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/routing.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/routing.f90	(revision 7576)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/routing.f90	(revision 7709)
@@ -3407,7 +3726,7 @@
              ENDDO
           ELSE
-             ! 
+             !
              ! Else do the Pfafstetter numbering
-             ! 
+             !
              !
              ! Where do we have the 4 largest change in upstream area on this stream.
@@ -3427,5 +3746,5 @@
              ENDDO
              !
-             ! Find all streams which are identical up to that junction and increase their code accordingly 
+             ! Find all streams which are identical up to that junction and increase their code accordingly
              !
              DO i=1,it
@@ -3474,5 +3793,5 @@
 !!
 !>\BRIEF         This subroutine creates a netCDF file containing all the informations
-!!                on the largest rivers which can be used for a refined analysis. 
+!!                on the largest rivers which can be used for a refined analysis.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -3571,5 +3890,5 @@
                &         TRIM(river_file_name),'(Solution ?)')
        ENDIF
-       
+
        iret = NF90_DEF_DIM(fid, 'y', jjm_g, dims(2))
        IF (iret /= NF90_NOERR) THEN
@@ -3624,5 +3943,5 @@
     ! 1.3 Add attributes to the coordinate variables
     !
-    iret = NF90_PUT_ATT(fid, nlonid, 'units', "degrees_east") 
+    iret = NF90_PUT_ATT(fid, nlonid, 'units', "degrees_east")
     IF (iret /= NF90_NOERR) THEN
        CALL ipslerr_p (3,'routing_diagncfile', 'Could not add attribut to variable '//lon_name//' for the file :', &
@@ -3754,9 +4073,9 @@
                 ELSE
                    basinfrac(i,j) = MIN(basinfrac(i,j), un)
-                ENDIF 
+                ENDIF
              ENDDO
           ENDDO
           !
-          ! 
+          !
           ! 2.2 Define the variables in the netCDF file
           !
@@ -3834,5 +4153,5 @@
           ENDIF
           !
-          ! Longitude of outflow point 
+          ! Longitude of outflow point
           att_str='Longitude_of_outflow_point'
           iret = NF90_PUT_ATT(fid, varid, att_str, lalo(outpt(ib,1),2))
@@ -3877,5 +4196,5 @@
           ENDIF
           !
-          ! Average number of hops to go to the ocean for any stream 
+          ! Average number of hops to go to the ocean for any stream
           att_str='Average_number_of_hops_to_ocean_for_any_stream'
           iret = NF90_PUT_ATT(fid, varid, att_str, streams_avehops(ib))
@@ -3885,5 +4204,5 @@
           ENDIF
           !
-          ! Maximum number of hops to go to the ocean for any stream 
+          ! Maximum number of hops to go to the ocean for any stream
           att_str='Maximum_number_of_hops_to_ocean_for_any_stream'
           iret = NF90_PUT_ATT(fid, varid, att_str, streams_maxhops(ib))
@@ -4027,5 +4346,5 @@
 !! SUBROUTINE 	: routing_basins_p
 !!
-!>\BRIEF        This parallelized subroutine computes the routing map if needed. 
+!>\BRIEF        This parallelized subroutine computes the routing map if needed.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -4056,5 +4375,5 @@
 !    INTEGER(i_std)    :: neighbours_tmp(nbpt,8)
 !    INTEGER(i_std) :: i,j
-    
+
 !    DO i=1,nbp_loc
 !      DO j=1,NbNeighb
@@ -4063,9 +4382,9 @@
 !	ELSE
 !	  neighbours_tmp(i,j)=neighbours(i,j)+nbp_para_begin(mpi_rank)-1
-!	ENDIF  
+!	ENDIF
 !      ENDDO
 !    ENDDO
 
-    routing_area => routing_area_glo  
+    routing_area => routing_area_glo
     topo_resid => topo_resid_glo
     route_togrid => route_togrid_glo
@@ -4073,8 +4392,8 @@
     route_nbintobas => route_nbintobas_glo
     global_basinid => global_basinid_glo
- 
+
     IF (is_root_prc) CALL routing_basins(nbp_glo,lalo_g, neighbours_g, resolution_g, contfrac_g)
 
-    routing_area => routing_area_loc  
+    routing_area => routing_area_loc
     topo_resid => topo_resid_loc
     route_togrid => route_togrid_loc
@@ -4089,16 +4408,16 @@
     CALL scatter(route_nbintobas_glo,route_nbintobas_loc)
     CALL scatter(global_basinid_glo,global_basinid_loc)
-    
+
   END SUBROUTINE routing_basins_p
-  ! 
- 
+  !
+
 !! ================================================================================================================================
 !! SUBROUTINE 	: routing_basins
 !!
 !>\BRIEF        This non-parallelized subroutine reads in the map of basins and flow direction to construct
-!!              the catchments of each grid box. 
+!!              the catchments of each grid box.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) :
-!! The work is done in a number of steps which are performed locally on the 
+!! The work is done in a number of steps which are performed locally on the
 !! GCM grid:
 !!  1) First we find the grid-points of the high resolution routing grid which are
@@ -4130,5 +4449,5 @@
     INTEGER(i_std), INTENT(in)                    :: nbpt                  !! Domain size (unitless)
     REAL(r_std), INTENT(in)                       :: lalo(nbpt,2)          !! Vector of latitude and longitudes (beware of the order !)
-    INTEGER(i_std), INTENT(in)                    :: neighbours(nbpt,NbNeighb)!! Vector of neighbours for each grid point 
+    INTEGER(i_std), INTENT(in)                    :: neighbours(nbpt,NbNeighb)!! Vector of neighbours for each grid point
                                                                            !! (1=North and then cloxkwise)
     REAL(r_std), INTENT(in)                       :: resolution(nbpt,2)    !! The size of each grid box in X and Y (m)
@@ -4212,8 +4531,8 @@
     !
     IF (debug) THEN
-       IF (ANY(diagbox .GT. nbpt)) THEN 
+       IF (ANY(diagbox .GT. nbpt)) THEN
           WRITE(numout,*) "Debug diganostics : nbpt, diagbox", nbpt, diagbox
           call ipslerr_p(3,'routing_basin', &
-               &      'Problem with diagbox in debug mode.', & 
+               &      'Problem with diagbox in debug mode.', &
                &      'diagbox values can''t be greater than land points number.', &
                &      '(decrease diagbox wrong value)')
@@ -4230,5 +4549,5 @@
     !Config Def   = routing.nc
     !Config Help  = The file provided here should alow the routing module to
-    !Config         read the high resolution grid of basins and the flow direction 
+    !Config         read the high resolution grid of basins and the flow direction
     !Config         from one mesh to the other.
     !Config Units = [FILE]
@@ -4280,7 +4599,7 @@
     !! Basins : Provides a uniqe ID for each basin. These IDs are also used to get
     !! the name of the basin from the table in routine routing_names.
-    !! 
+    !!
     !! Topoind :  is the topographic index for the retention time of the water in the
-    !! grid box. It has been computed with the following formula : 1000 x sqrt(d^3/Dz) 
+    !! grid box. It has been computed with the following formula : 1000 x sqrt(d^3/Dz)
     !! where d is the distance of the river from the current grid box to the next one
     !! as indicated by the variable trip.
@@ -4333,5 +4652,5 @@
           ! Resolution in longitude
           !
-          coslat = MAX( COS( lat_rel(ip,jp) * pi/180. ), mincos )     
+          coslat = MAX( COS( lat_rel(ip,jp) * pi/180. ), mincos )
           IF ( ip .EQ. 1 ) THEN
              resol_lu(ip,jp,1) = ABS( lon_rel(ip+1,jp) - lon_rel(ip,jp) ) * pi/180. * R_Earth * coslat
@@ -4361,5 +4680,5 @@
     callsign = "routing_basins"
     ok_interpol = .FALSE.
-    !  
+    !
     nix=INT(MAXVAL(resolution_g(:,1))/MAXVAL(resol_lu(:,:,1)))+2
     njx=INT(MAXVAL(resolution_g(:,2))/MAXVAL(resol_lu(:,:,2)))+2
@@ -4454,5 +4773,5 @@
     ALLOCATE (nbcoastal(nbpt), coastal_basin(nbpt,nwbas), stat=ALLOC_ERR)
     IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_basins','Pb in allocate for nbcoastal','','')
-    
+
     !    Order all sub points in each grid_box and find the sub basins
     !
@@ -4527,5 +4846,5 @@
             & nb_basin, basin_inbxid, basin_sz, basin_pts, basin_bxout, coast_pts, nwbas, basin_count,&
             & basin_area, basin_hierarchy, basin_topoind, basin_id, basin_flowdir, outflow_grid,&
-            & nbcoastal, coastal_basin) 
+            & nbcoastal, coastal_basin)
        !
        !
@@ -4548,5 +4867,5 @@
          & basin_hierarchy, outflow_grid, outflow_basin, inflow_number, inflow_grid, inflow_basin, &
          & nbcoastal, coastal_basin, invented_basins)
-    ! 
+    !
     !
     IF (printlev>=1) WRITE(numout,*) 'The maximum number of basins in any grid :', MAXVAL(basin_count)
@@ -4780,5 +5099,5 @@
     !  We simplify the outflow. We only need the direction normal to the
     !     box boundary and the 4 corners.
-    ! 
+    !
     ! Northern border
     IF ( trip_bx(1,1) .EQ. 102 ) trip_bx(1,1) = 101
@@ -4804,5 +5123,5 @@
     DO jp=2,nbj-1
        IF ( trip_bx(1,jp) .EQ. 106 .OR. trip_bx(1,jp) .EQ. 108 ) trip_bx(1,jp) = 107
-    ENDDO       
+    ENDDO
     !
     !
@@ -4854,5 +5173,5 @@
        IF ( coords(ipos+1) /= undef_sechiba) THEN
          IF ( COUNT(coords(ipos:nb_out) == coords(ipos)) > 1 ) THEN
-            coords(ipos:nb_out-1) = coords(ipos+1:nb_out) 
+            coords(ipos:nb_out-1) = coords(ipos+1:nb_out)
             coords(nb_out:nb_in) = undef_sechiba
             nb_out = nb_out - 1
@@ -4890,5 +5209,5 @@
        DO WHILE (COUNT(ABS(coords_tmp(:)-undef_sechiba) > EPSILON(undef_sechiba)*10.) >= 1)
           ll = MINLOC(coords_tmp(:), coords_tmp /= undef_sechiba)
-          ind(ipos) = ll(1) 
+          ind(ipos) = ll(1)
           coords_tmp(ll(1)) = undef_sechiba
           ipos = ipos + 1
@@ -4897,5 +5216,5 @@
        DO WHILE (COUNT(ABS(coords_tmp(:)-undef_sechiba) > EPSILON(undef_sechiba)*10.) >= 1)
           ll = MAXLOC(coords_tmp(:), coords_tmp /= undef_sechiba)
-          ind(ipos) = ll(1) 
+          ind(ipos) = ll(1)
           coords_tmp(ll(1)) = undef_sechiba
           ipos = ipos + 1
@@ -5066,6 +5385,6 @@
           coast_pts(sz(ipb)) = bname(trans(ip))
           sz(trans(ip)) = 0
-          pts(ipb, sz(ipb), 1) = pts(trans(ip), 1, 1) 
-          pts(ipb, sz(ipb), 2) = pts(trans(ip), 1, 2) 
+          pts(ipb, sz(ipb), 1) = pts(trans(ip), 1, 1)
+          pts(ipb, sz(ipb), 2) = pts(trans(ip), 1, 2)
        ENDDO
     ENDIF
@@ -5116,5 +5435,5 @@
           ENDIF
           !
-          ! Third issue : we have more than one outflow from the boxes. This could be 
+          ! Third issue : we have more than one outflow from the boxes. This could be
           !             - flow into 2 or more neighboring GCM grids
           !             - flow into a neighboring GCM grids and into the ocean or be a return flow (=97. =98, =99)
@@ -5181,5 +5500,5 @@
     !
     !
-    ! Sort the output by size of the various basins. 
+    ! Sort the output by size of the various basins.
     !
     nb_basin = COUNT(sz(1:nbb) .GT. 0)
@@ -5218,5 +5537,5 @@
        CALL ipslerr_p(3,'routing_findbasins','Probleme less outflow points than basins','','')
     ENDIF
-    
+
   END SUBROUTINE routing_findbasins
   !
@@ -5224,8 +5543,8 @@
 !! SUBROUTINE 	: routing_simplify
 !!
-!>\BRIEF         This subroutine symplifies the routing out of each basin by taking 
+!>\BRIEF         This subroutine symplifies the routing out of each basin by taking
 !!               out redundancies at the borders of the GCM box.
 !!               The aim is to have only one outflow point per basin and grid box.
-!!               But here we will not change the direction of the outflow.  
+!!               But here we will not change the direction of the outflow.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -5353,9 +5672,9 @@
                 IF ( trip_flow(ip,jp,1) .EQ. outflow(ismall,1) .AND.&
                      & trip_flow(ip,jp,2) .EQ. outflow(ismall,2) ) THEN
-                   ! Now that we have found a point of the smallest sub-basin we 
+                   ! Now that we have found a point of the smallest sub-basin we
                    ! look around for another sub-basin
                    ib = 1
                    not_found = .TRUE.
-                   DO WHILE ( not_found .AND. ib .LE. itodo ) 
+                   DO WHILE ( not_found .AND. ib .LE. itodo )
                       IF ( ib .NE. ill(1) ) THEN
                          ibas = todopt(ib)
@@ -5415,5 +5734,5 @@
 !!
 !>\BRIEF        This subroutine cuts the original basin which has more than one outflow
-!!              into as many subbasins as outflow directions.  
+!!              into as many subbasins as outflow directions.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -5499,5 +5818,5 @@
     !
     CALL routing_findrout(nbi, nbj, trip_tmp, basin_sz, basin_inbxid, nbout, outflow, trip_flow, outsz)
-    ! 
+    !
 !    IF ( debug ) THEN
 !       DO ib = nb_in+1,nb
@@ -5516,5 +5835,5 @@
     !  Take out the small sub-basins. That is those which have only one grid box
     !  This is only done if we need to save space in the number of basins. Else we
-    !  can take it easy and keep diverging sub-basins for the moment. 
+    !  can take it easy and keep diverging sub-basins for the moment.
     !
     IF ( nbbasins .GE. nbasmax ) THEN
@@ -5543,5 +5862,5 @@
                       DO ibb=1,nbout
                          IF ( iip .EQ. outflow(ibb,1) .AND. jjp .EQ. outflow(ibb,2) ) THEN
-                            outsz(ibb) = outsz(ibb)+1 
+                            outsz(ibb) = outsz(ibb)+1
                             trip_flow(ip,jp,1) = outflow(ibb,1)
                             trip_flow(ip,jp,2) = outflow(ibb,2)
@@ -5584,5 +5903,5 @@
           ENDIF
        ENDDO
-       ! A short verification 
+       ! A short verification
        IF ( SUM(sz(nb_in+1:nb)) .NE. basin_sz) THEN
           WRITE(numout,*) 'Lost some points while spliting the basin'
@@ -5598,5 +5917,5 @@
           CALL ipslerr_p(3,'routing_cutbasin','Lost some points while spliting the basin','','')
        ENDIF
-       
+
        IF ( debug ) THEN
           DO ib = nb_in+1,nb
@@ -5623,5 +5942,5 @@
 !!
 !>\BRIEF        This subroutine finds, for each point, the distance to the outflow
-!!               point along the flowlines of the basin. 
+!!               point along the flowlines of the basin.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -5691,5 +6010,5 @@
              ENDIF
              !
-             DO WHILE ( trp .GT. 0 .AND. trp .LT. 9 .AND. cnt .LT. iml*jml) 
+             DO WHILE ( trp .GT. 0 .AND. trp .LT. 9 .AND. cnt .LT. iml*jml)
                 cnt = cnt + 1
                 ntripi = ntripi + inc(trp,1)
@@ -5707,5 +6026,5 @@
                 trp = NINT(trip(ntripi, ntripj))
              ENDDO
-             
+
              IF ( cnt .EQ. iml*jml) THEN
                 WRITE(numout,*) 'We could not route point (routing_findrout) :', ip, jp
@@ -5717,7 +6036,7 @@
                 CALL ipslerr_p(3,'routing_hierarchy','We could not route point','','')
              ENDIF
-             
+
              hierarchy(ip,jp) = topohier
-             
+
           ENDIF
        ENDDO
@@ -5731,5 +6050,5 @@
 !!
 !>\BRIEF        This subroutine simply computes the route to each outflow point
-!!              and returns the outflow point for each point in the basin.  
+!!              and returns the outflow point for each point in the basin.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -5759,5 +6078,5 @@
     INTEGER(i_std), DIMENSION(nbvmax,2), INTENT(out)        :: outflow   !!
     INTEGER(i_std), DIMENSION(nbvmax,nbvmax,2), INTENT(out) :: trip_flow !!
-    INTEGER(i_std), INTENT(out)                             :: nbout     !! 
+    INTEGER(i_std), INTENT(out)                             :: nbout     !!
     INTEGER(i_std), DIMENSION(nbvmax), INTENT(out)          :: outsz     !!
     !
@@ -5790,5 +6109,5 @@
     !
     !
-    !  Get the outflows and determine for each point to which outflow point it belong 
+    !  Get the outflows and determine for each point to which outflow point it belong
     !
     nbout = 0
@@ -5800,5 +6119,5 @@
              outflow(nbout,1) = ip
              outflow(nbout,2) = jp
-          ENDIF 
+          ENDIF
           IF ( trip(ip,jp) .GT. 0) THEN
              trip_flow(ip,jp,1) = ip
@@ -5815,5 +6134,5 @@
              trp = trip(trip_flow(ip,jp,1), trip_flow(ip,jp,2))
              cnt = 0
-             DO WHILE ( trp .GT. 0 .AND. trp .LT. 9 .AND. cnt .LT. nbi*nbj) 
+             DO WHILE ( trp .GT. 0 .AND. trp .LT. 9 .AND. cnt .LT. nbi*nbj)
                 cnt = cnt + 1
                 trip_flow(ip,jp,1) = trip_flow(ip,jp,1) + inc(trp,1)
@@ -5862,5 +6181,5 @@
 !!
 !>\BRIEF        This subroutine puts the basins found for grid box in the global map.
-!!               Connection can only be made later when all information is together. 
+!!               Connection can only be made later when all information is together.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -5888,7 +6207,7 @@
     INTEGER(i_std), INTENT (in)                :: nbpt                   !! Domain size (unitless)
     INTEGER(i_std), INTENT (in)                :: ib                     !! Current basin (unitless)
-    INTEGER(i_std), INTENT(in)                 :: neighbours(nbpt,NbNeighb)!! Vector of neighbours for each grid point 
+    INTEGER(i_std), INTENT(in)                 :: neighbours(nbpt,NbNeighb)!! Vector of neighbours for each grid point
                                                                          !! (1=North and then clockwise)
-!! LOCAL VARIABLES 
+!! LOCAL VARIABLES
     REAL(r_std), DIMENSION(nbvmax,nbvmax)      :: area_bx                !! Area of each small box in the grid box (m^2)
     INTEGER(i_std), DIMENSION(nbvmax,nbvmax)   :: trip_bx                !! The trip field for each of the smaller boxes (unitless)
@@ -5924,11 +6243,11 @@
        !
        basin_count(ib) = basin_count(ib)+1
-       if (basin_count(ib) > nwbas) then 
+       if (basin_count(ib) > nwbas) then
           WRITE(numout,*) 'ib=',ib
           call ipslerr_p(3,'routing_globalize', &
-               &      'Problem with basin_count : ', & 
+               &      'Problem with basin_count : ', &
                &      'It is greater than number of allocated basin nwbas.', &
                &      '(stop to count basins)')
-       endif 
+       endif
        basin_id(ib,basin_count(ib)) = basin_inbxid(ij)
        !
@@ -6025,5 +6344,5 @@
 !! SUBROUTINE 	: routing_linkup
 !!
-!>\BRIEF         This subroutine makes the connections between the basins and ensure global coherence. 
+!>\BRIEF         This subroutine makes the connections between the basins and ensure global coherence.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) :
@@ -6078,5 +6397,5 @@
     INTEGER(i_std)                                 :: ff(1)                 !!
     !
-    ! ERRORS 
+    ! ERRORS
     LOGICAL                                        :: error1, error2, error3, error4, error5 !! (true/false)
     !
@@ -6084,5 +6403,5 @@
     LOGICAL, PARAMETER                             :: check = .TRUE.       !! (true/false)
 
-!_ ================================================================================================================================    
+!_ ================================================================================================================================
     error1=.FALSE.
     error2=.FALSE.
@@ -6133,5 +6452,5 @@
                 !
              ENDDO
-             ! 
+             !
              !  If we have more than one basin we will take the one which is lowest
              !  in the hierarchy.
@@ -6146,5 +6465,5 @@
                       bop = sbl
                    ELSE
-                      ! The same hierarchy is allowed if both grids flow in about 
+                      ! The same hierarchy is allowed if both grids flow in about
                       ! the same direction :
                       IF ( ( MOD(basin_flowdir(inp,sbl)+1-1, 8)+1 .EQ. basin_flowdir(sp,sb)).OR. &
@@ -6179,5 +6498,5 @@
           !
           ! In case the outflow point was ocean or we did not find the correct basin we start to look
-          ! around. We find two options for the outflow direction (dp1 & dm1) and the corresponding 
+          ! around. We find two options for the outflow direction (dp1 & dm1) and the corresponding
           ! basin index (bp1 & bm1).
           !
@@ -6202,5 +6521,5 @@
                          bp1 = sbl
                       ELSE
-                         ! The same hierarchy is allowed if both grids flow in about 
+                         ! The same hierarchy is allowed if both grids flow in about
                          ! the same direction :
                          angle=MODULO(basin_flowdir(dp1,sbl)-basin_flowdir(sp,sb)+8,8)
@@ -6223,6 +6542,6 @@
                       IF ( basin_hierarchy(sp,sb) .GT. basin_hierarchy(dm1,sbl) ) THEN
                          bm1 = sbl
-                      ELSE                         
-                         ! The same hierarchy is allowed if both grids flow in about 
+                      ELSE
+                         ! The same hierarchy is allowed if both grids flow in about
                          ! the same direction :
                          angle=MODULO(basin_flowdir(dm1,sbl)-basin_flowdir(sp,sb)+8,8)
@@ -6240,5 +6559,5 @@
              ! First deal with the case on land.
              !
-             ! For that we need to check if the water will be able to flow out of the grid dp1 or dm1 
+             ! For that we need to check if the water will be able to flow out of the grid dp1 or dm1
              ! and not return to our current grid. If it is the current grid
              ! then we can not do anything with that neighbour. Thus we set the
@@ -6250,5 +6569,5 @@
                 IF (basin_flowdir(dp1,bp1) .GT. 0) THEN
                    outdp1 = neighbours(dp1,basin_flowdir(dp1,bp1))
-                   IF ( outdp1 .EQ. sp ) outdp1 = undef_int 
+                   IF ( outdp1 .EQ. sp ) outdp1 = undef_int
                 ELSE
                    outdp1 = nbpt + 1
@@ -6270,5 +6589,5 @@
              bop = undef_int
              IF ( outdp1 .LT. undef_int .AND. outdm1 .LT. undef_int) THEN
-                ! 
+                !
                 ! In this case we let the current basin flow into the smaller one
                 !
@@ -6292,5 +6611,5 @@
              ELSE
                 !
-                ! Now we are at the point where none of the neighboring points is suitable 
+                ! Now we are at the point where none of the neighboring points is suitable
                 ! or we have a coastal point.
                 !
@@ -6301,7 +6620,7 @@
                 ELSE
                    !
-                   ! If we are on a land point with only land neighbors but no one suitable to let the 
+                   ! If we are on a land point with only land neighbors but no one suitable to let the
                    ! water flow into we have to look for a solution in the current grid box.
-                   ! 
+                   !
                    !
                    IF ( bp1 .LT. 0 .AND. bm1 .LT. 0 ) THEN
@@ -6402,5 +6721,5 @@
                & .AND. basin_flowdir(sp,sb) .GT. 0) THEN
              !
-             
+
              IF (check) &
                   WRITE(numout,*) 'There is no reason to here, this part of the code should be dead :', sp,sb
@@ -6451,5 +6770,5 @@
     IF (error2) THEN
        CALL ipslerr_p(3,'routing_linkup', &
-            &      'In the routine which make connections between the basins and ensure global coherence,', & 
+            &      'In the routine which make connections between the basins and ensure global coherence,', &
             &      'there is a problem with outflow linkup without any valid direction. Try with check=.TRUE.', &
             &      '(Perhaps there is a problem with the grid.)')
@@ -6461,6 +6780,6 @@
     ENDIF
     IF (error4) THEN
-       WRITE(numout,*) " routing_linkup : (sbl .NE. sb) .AND. (basin_id(sp,sbl) .EQ. bid) ", & 
-            &  " .AND. (basin_hierarchy(sp,sb) .GT. basin_hierarchy(sp,sbl))",sbl,sb,basin_id(sp,sbl),bid, & 
+       WRITE(numout,*) " routing_linkup : (sbl .NE. sb) .AND. (basin_id(sp,sbl) .EQ. bid) ", &
+            &  " .AND. (basin_hierarchy(sp,sb) .GT. basin_hierarchy(sp,sbl))",sbl,sb,basin_id(sp,sbl),bid, &
             &  basin_hierarchy(sp,sb),basin_hierarchy(sp,sbl)
        CALL ipslerr_p(3,'routing_linkup', &
@@ -6471,5 +6790,5 @@
        WRITE(numout,*) 'We could not find the basin into which we need to flow'
        WRITE(numout,*) 'Grid point ', sp, ' and basin ', sb
-       WRITE(numout,*) 'Explored neighbours :', dm1, dp1 
+       WRITE(numout,*) 'Explored neighbours :', dm1, dp1
        WRITE(numout,*) 'Outflow direction :', basin_flowdir(sp,sb)
        WRITE(numout,*) 'Outlfow grid :', outflow_grid(sp,sb)
@@ -6507,5 +6826,5 @@
 !!               will know how much area is upstream. It will help decide how to procede with the
 !!               the truncation later and allow to set correctly in outflow_grid the distinction
-!!               between coastal and river flow. 
+!!               between coastal and river flow.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -6613,6 +6932,6 @@
     WRITE(numout,*) 'The largest FETCH :', MAXVAL(fetch_basin)
     !
-    ! Now we set for the 'num_largest' largest basins the outflow condition as stream flow 
-    ! (i.e. outflow_grid = -1) and all other outflow basins are set to coastal flow 
+    ! Now we set for the 'num_largest' largest basins the outflow condition as stream flow
+    ! (i.e. outflow_grid = -1) and all other outflow basins are set to coastal flow
     ! (i.e. outflow_grid = -2). The return flow is not touched.
     !
@@ -6654,25 +6973,25 @@
 !>\BRIEF         This subroutine reduces the number of basins per grid to the value chosen by the user.
 !!               It also computes the final field which will be used to route the water at the
-!!               requested truncation.  
-!!
-!! DESCRIPTION (definitions, functional, design, flags) : 
+!!               requested truncation.
+!!
+!! DESCRIPTION (definitions, functional, design, flags) :
 !! Truncate if needed and find the path closest to the high resolution data.
 !!
 !! The algorithm :
-!! 
+!!
 !! We only go through this procedure only as many times as there are basins to take out at most.
 !! This is important as it allows the simplifications to spread from one grid to the other.
-!! The for each step of the iteration and at each grid point we check the following options for 
+!! The for each step of the iteration and at each grid point we check the following options for
 !! simplifying the pathways of water :
 !! 1) If the basin of a grid flows into another basin of the same grid. Kill the one which only
 !!    served as a transition
-!! 2) If in one grid box we have a number of basins which flow into the ocean as coastal flow. 
-!!    We kill the smallest one and put into the largest basin. There is no need to manage many 
-!!    basins going into the ocean as coastal flows. 
-!! 3) If we have streams run in parallel from one gird box to the others (that is these are 
+!! 2) If in one grid box we have a number of basins which flow into the ocean as coastal flow.
+!!    We kill the smallest one and put into the largest basin. There is no need to manage many
+!!    basins going into the ocean as coastal flows.
+!! 3) If we have streams run in parallel from one gird box to the others (that is these are
 !!    different basins) we will put the smaller one in the larger one. This may hapen at any
 !!    level of the flow but in theory it should propagate downstream.
 !! 4) If we have two basins with the same ID but flow into different grid boxes we sacrifice
-!!    the smallest one and route it through the largest. 
+!!    the smallest one and route it through the largest.
 !!
 !! Obviously if any of the options find something then we skip the rest and take out the basin.:\n
@@ -6758,5 +7077,5 @@
        ENDDO
        !
-       ! Go through the basins which need to be truncated.       
+       ! Go through the basins which need to be truncated.
        !
        DO ibt=1,nbtruncate
@@ -6782,6 +7101,6 @@
           ENDDO
           !
-          ! 2) Merge two basins which flow into the ocean as coastal or return flow 
-          ! (outflow_grid = -2 or -3). Well obviously only if we have more than 1 and 
+          ! 2) Merge two basins which flow into the ocean as coastal or return flow
+          ! (outflow_grid = -2 or -3). Well obviously only if we have more than 1 and
           ! have not found anything yet!
           !
@@ -6818,5 +7137,5 @@
           ENDIF
           !
-          !   3) If we have basins flowing into the same grid but different basins then we put them 
+          !   3) If we have basins flowing into the same grid but different basins then we put them
           !   together. Obviously we first work with the grid which has most streams running into it
           !   and putting the smallest in the largests catchments.
@@ -6947,5 +7266,5 @@
        ENDDO
        !
-       !      
+       !
     ENDDO
     !
@@ -7103,6 +7422,6 @@
                 WRITE(numout,*) 'We should not be here as the basin flows into the pampa'
                 WRITE(numout,*) 'Last correct point :', pold, bold
-                WRITE(numout,*) 'It pointed to in the new variables :', route_togrid(pold, bold),route_tobasin(pold, bold) 
-                WRITE(numout,*) 'The old variables gave :', outflow_grid(pold, bold), outflow_basin(pold, bold) 
+                WRITE(numout,*) 'It pointed to in the new variables :', route_togrid(pold, bold),route_tobasin(pold, bold)
+                WRITE(numout,*) 'The old variables gave :', outflow_grid(pold, bold), outflow_basin(pold, bold)
                 WRITE(numout,*) 'Where we ended up :', igrif,ibasf
                 CALL ipslerr_p(3,'routing_truncate','Problem with routing..','','')
@@ -7139,5 +7458,5 @@
     DO ib=1, pickmax
        ff = MAXLOC(floflo)
-       ! tdo - To take into account rivers that do not flow to the oceans 
+       ! tdo - To take into account rivers that do not flow to the oceans
        IF ( route_tobasin(ff(1), ff(2)) .GT. nbasmax ) THEN
 !       IF ( route_tobasin(ff(1), ff(2)) .EQ. nbasmax + 2) THEN
@@ -7169,5 +7488,5 @@
 !!
 !>\BRIEF        The aim of this subroutine is to kill a basin (that is put into another larger one).
-!!              When we do this we need to be careful and change all associated variables.  
+!!              When we do this we need to be careful and change all associated variables.
 !!
 !! DESCRIPTION (definitions, functional, design, flags) : None
@@ -7232,5 +7551,5 @@
     inf = 0
     DO WHILE (igrif .GT. 0)
-       fetch_basin(igrif,ibasf) =  fetch_basin(igrif,ibasf) + fetch_basin(ib, tokill) 
+       fetch_basin(igrif,ibasf) =  fetch_basin(igrif,ibasf) + fetch_basin(ib, tokill)
        it = outflow_grid(igrif, ibasf)
        ibasf = outflow_basin(igrif, ibasf)
@@ -7249,5 +7568,5 @@
        ibasf = outflow_basin(igrif, ibasf)
        igrif = it
-    ENDDO   
+    ENDDO
     !
     !  Redirect the flows which went into the basin to be killed before we change everything
@@ -7291,5 +7610,5 @@
        ENDIF
        inflow_number(ing, inb) = inflow_number(ing, inb) - 1
-       
+
     ENDIF
     !
